#
# Makefile for ALSA
# Copyright (c) 1999 by Jaroslav Kysela <perex@suse.cz>
#

EXTRA_CFLAGS := -I../../include

SUB_DIRS     :=
MOD_SUB_DIRS :=
ALL_SUB_DIRS :=

L_TARGET     := snd_pcm1.a
M_OBJS	     :=
L_OBJS       :=
LX_OBJS      :=
MIX_OBJS     :=

ifeq ($(CONFIG_SND_PCM1),y)
  LX_OBJS += pcm1_native.o
  ifeq ($(CONFIG_SND_OSSEMUL),y)
    L_OBJS += pcm1_oss.o
  endif
else
  ifeq ($(CONFIG_SND),m)
    M_OBJS += snd-pcm1.o
    MIX_OBJS += pcm1_native.o
    ifeq ($(CONFIG_SND_OSSEMUL),y)
      M_OBJS += snd-pcm1-oss.o
      L_OBJS += pcm1_oss.o
    endif
  endif
endif

include $(TOPDIR)/Rules.make

snd-pcm1.o: pcm1_native.o
	$(LD) $(LD_RFLAG) -r -o $@ pcm1_native.o

snd-pcm1-oss.o: pcm1_oss.o
	$(LD) $(LD_RFLAG) -r -o $@ pcm1_oss.o
